libctf: explicitly cast more size_t types used in printf()s
[deliverable/binutils-gdb.git] / libctf / Makefile.in
CommitLineData
0e65dfba
NA
1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright (C) 2019 Free Software Foundation, Inc.
19#
20# This file is free software; you can redistribute it and/or modify
21# it under the terms of the GNU General Public License as published by
22# the Free Software Foundation; either version 2 of the License, or
23# (at your option) any later version.
24#
25# This program is distributed in the hope that it will be useful,
26# but WITHOUT ANY WARRANTY; without even the implied warranty of
27# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28# GNU General Public License for more details.
29#
30# You should have received a copy of the GNU General Public License
31# along with this program; see the file COPYING. If not see
32# <http://www.gnu.org/licenses/>.
33#
34
35VPATH = @srcdir@
36am__is_gnu_make = { \
37 if test -z '$(MAKELEVEL)'; then \
38 false; \
39 elif test -n '$(MAKE_HOST)'; then \
40 true; \
41 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
42 true; \
43 else \
44 false; \
45 fi; \
46}
47am__make_running_with_option = \
48 case $${target_option-} in \
49 ?) ;; \
50 *) echo "am__make_running_with_option: internal error: invalid" \
51 "target option '$${target_option-}' specified" >&2; \
52 exit 1;; \
53 esac; \
54 has_opt=no; \
55 sane_makeflags=$$MAKEFLAGS; \
56 if $(am__is_gnu_make); then \
57 sane_makeflags=$$MFLAGS; \
58 else \
59 case $$MAKEFLAGS in \
60 *\\[\ \ ]*) \
61 bs=\\; \
62 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
64 esac; \
65 fi; \
66 skip_next=no; \
67 strip_trailopt () \
68 { \
69 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70 }; \
71 for flg in $$sane_makeflags; do \
72 test $$skip_next = yes && { skip_next=no; continue; }; \
73 case $$flg in \
74 *=*|--*) continue;; \
75 -*I) strip_trailopt 'I'; skip_next=yes;; \
76 -*I?*) strip_trailopt 'I';; \
77 -*O) strip_trailopt 'O'; skip_next=yes;; \
78 -*O?*) strip_trailopt 'O';; \
79 -*l) strip_trailopt 'l'; skip_next=yes;; \
80 -*l?*) strip_trailopt 'l';; \
81 -[dEDm]) skip_next=yes;; \
82 -[JT]) skip_next=yes;; \
83 esac; \
84 case $$flg in \
85 *$$target_option*) has_opt=yes; break;; \
86 esac; \
87 done; \
88 test $$has_opt = yes
89am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91pkgdatadir = $(datadir)/@PACKAGE@
92pkgincludedir = $(includedir)/@PACKAGE@
93pkglibdir = $(libdir)/@PACKAGE@
94pkglibexecdir = $(libexecdir)/@PACKAGE@
95am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96install_sh_DATA = $(install_sh) -c -m 644
97install_sh_PROGRAM = $(install_sh) -c
98install_sh_SCRIPT = $(install_sh) -c
99INSTALL_HEADER = $(INSTALL_DATA)
100transform = $(program_transform_name)
101NORMAL_INSTALL = :
102PRE_INSTALL = :
103POST_INSTALL = :
104NORMAL_UNINSTALL = :
105PRE_UNINSTALL = :
106POST_UNINSTALL = :
6b22174f 107@NEED_CTF_QSORT_R_TRUE@am__append_1 = ctf-qsort_r.c
0e65dfba
NA
108subdir = .
109ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
110am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
111 $(top_srcdir)/../config/lead-dot.m4 \
112 $(top_srcdir)/../config/override.m4 \
a0486bac
JM
113 $(top_srcdir)/../config/warnings.m4 \
114 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/configure.ac
0e65dfba
NA
115am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116 $(ACLOCAL_M4)
117DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps) $(am__DIST_COMMON)
119am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
122CONFIG_HEADER = config.h
123CONFIG_CLEAN_FILES =
124CONFIG_CLEAN_VPATH_FILES =
125LIBRARIES = $(noinst_LIBRARIES)
126ARFLAGS = cru
127AM_V_AR = $(am__v_AR_@AM_V@)
128am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
129am__v_AR_0 = @echo " AR " $@;
130am__v_AR_1 =
131libctf_a_AR = $(AR) $(ARFLAGS)
6b22174f
NA
132libctf_a_LIBADD =
133am__libctf_a_SOURCES_DIST = ctf-archive.c ctf-dump.c ctf-create.c \
134 ctf-decl.c ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c \
135 ctf-open.c ctf-open-bfd.c ctf-subr.c ctf-types.c ctf-util.c \
136 ctf-qsort_r.c
137@NEED_CTF_QSORT_R_TRUE@am__objects_1 = ctf-qsort_r.$(OBJEXT)
0e65dfba
NA
138am_libctf_a_OBJECTS = ctf-archive.$(OBJEXT) ctf-dump.$(OBJEXT) \
139 ctf-create.$(OBJEXT) ctf-decl.$(OBJEXT) ctf-error.$(OBJEXT) \
140 ctf-hash.$(OBJEXT) ctf-labels.$(OBJEXT) ctf-lookup.$(OBJEXT) \
141 ctf-open.$(OBJEXT) ctf-open-bfd.$(OBJEXT) ctf-subr.$(OBJEXT) \
6b22174f 142 ctf-types.$(OBJEXT) ctf-util.$(OBJEXT) $(am__objects_1)
0e65dfba
NA
143libctf_a_OBJECTS = $(am_libctf_a_OBJECTS)
144AM_V_P = $(am__v_P_@AM_V@)
145am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
146am__v_P_0 = false
147am__v_P_1 = :
148AM_V_GEN = $(am__v_GEN_@AM_V@)
149am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
150am__v_GEN_0 = @echo " GEN " $@;
151am__v_GEN_1 =
152AM_V_at = $(am__v_at_@AM_V@)
153am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
154am__v_at_0 = @
155am__v_at_1 =
156DEFAULT_INCLUDES = -I.@am__isrc@
157depcomp = $(SHELL) $(top_srcdir)/../depcomp
158am__depfiles_maybe = depfiles
159am__mv = mv -f
160COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
161 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162AM_V_CC = $(am__v_CC_@AM_V@)
163am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
164am__v_CC_0 = @echo " CC " $@;
165am__v_CC_1 =
166CCLD = $(CC)
167LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
168AM_V_CCLD = $(am__v_CCLD_@AM_V@)
169am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
170am__v_CCLD_0 = @echo " CCLD " $@;
171am__v_CCLD_1 =
172SOURCES = $(libctf_a_SOURCES)
6b22174f 173DIST_SOURCES = $(am__libctf_a_SOURCES_DIST)
0e65dfba
NA
174am__can_run_installinfo = \
175 case $$AM_UPDATE_INFO_DIR in \
176 n|no|NO) false;; \
177 *) (install-info --version) >/dev/null 2>&1;; \
178 esac
179am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
180 $(LISP)config.h.in
181# Read a list of newline-separated strings from the standard input,
182# and print each of them once, without duplicates. Input order is
183# *not* preserved.
184am__uniquify_input = $(AWK) '\
185 BEGIN { nonempty = 0; } \
186 { items[$$0] = 1; nonempty = 1; } \
187 END { if (nonempty) { for (i in items) print i; }; } \
188'
189# Make sure the list of sources is unique. This is necessary because,
190# e.g., the same source file might be shared among _SOURCES variables
191# for different programs/libraries.
192am__define_uniq_tagged_files = \
193 list='$(am__tagged_files)'; \
194 unique=`for i in $$list; do \
195 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
196 done | $(am__uniquify_input)`
197ETAGS = etags
198CTAGS = ctags
199CSCOPE = cscope
200AM_RECURSIVE_TARGETS = cscope
201am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
202 $(top_srcdir)/../ar-lib $(top_srcdir)/../compile \
203 $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
a0486bac 204 $(top_srcdir)/../missing $(top_srcdir)/../mkinstalldirs \
6b22174f 205 ChangeLog
0e65dfba
NA
206DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
207distdir = $(PACKAGE)-$(VERSION)
208top_distdir = $(distdir)
209am__remove_distdir = \
210 if test -d "$(distdir)"; then \
211 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
212 && rm -rf "$(distdir)" \
213 || { sleep 5 && rm -rf "$(distdir)"; }; \
214 else :; fi
215am__post_remove_distdir = $(am__remove_distdir)
216DIST_ARCHIVES = $(distdir).tar.gz
217GZIP_ENV = --best
218DIST_TARGETS = dist-gzip
219distuninstallcheck_listfiles = find . -type f -print
220am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
221 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
222distcleancheck_listfiles = find . -type f -print
223ACLOCAL = @ACLOCAL@
224AMTAR = @AMTAR@
225AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
226AR = @AR@
227AUTOCONF = @AUTOCONF@
228AUTOHEADER = @AUTOHEADER@
229AUTOMAKE = @AUTOMAKE@
230AWK = @AWK@
231CC = @CC@
232CCDEPMODE = @CCDEPMODE@
233CFLAGS = @CFLAGS@
234CPP = @CPP@
235CPPFLAGS = @CPPFLAGS@
236CYGPATH_W = @CYGPATH_W@
237DEFS = @DEFS@
238DEPDIR = @DEPDIR@
239ECHO_C = @ECHO_C@
240ECHO_N = @ECHO_N@
241ECHO_T = @ECHO_T@
242EGREP = @EGREP@
243EXEEXT = @EXEEXT@
244GREP = @GREP@
245INSTALL = @INSTALL@
246INSTALL_DATA = @INSTALL_DATA@
247INSTALL_PROGRAM = @INSTALL_PROGRAM@
248INSTALL_SCRIPT = @INSTALL_SCRIPT@
249INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250LDFLAGS = @LDFLAGS@
251LIBOBJS = @LIBOBJS@
252LIBS = @LIBS@
253LTLIBOBJS = @LTLIBOBJS@
254MAINT = @MAINT@
255MAKEINFO = @MAKEINFO@
256MKDIR_P = @MKDIR_P@
257OBJEXT = @OBJEXT@
258PACKAGE = @PACKAGE@
259PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
260PACKAGE_NAME = @PACKAGE_NAME@
261PACKAGE_STRING = @PACKAGE_STRING@
262PACKAGE_TARNAME = @PACKAGE_TARNAME@
263PACKAGE_URL = @PACKAGE_URL@
264PACKAGE_VERSION = @PACKAGE_VERSION@
265PATH_SEPARATOR = @PATH_SEPARATOR@
266RANLIB = @RANLIB@
267SET_MAKE = @SET_MAKE@
268SHELL = @SHELL@
269STRIP = @STRIP@
270VERSION = @VERSION@
271WARN_PEDANTIC = @WARN_PEDANTIC@
272WERROR = @WERROR@
273abs_builddir = @abs_builddir@
274abs_srcdir = @abs_srcdir@
275abs_top_builddir = @abs_top_builddir@
276abs_top_srcdir = @abs_top_srcdir@
277ac_ct_AR = @ac_ct_AR@
278ac_ct_CC = @ac_ct_CC@
279ac_libctf_warn_cflags = @ac_libctf_warn_cflags@
280am__include = @am__include@
281am__leading_dot = @am__leading_dot@
282am__quote = @am__quote@
283am__tar = @am__tar@
284am__untar = @am__untar@
285bindir = @bindir@
286build_alias = @build_alias@
287builddir = @builddir@
288c_warn = @c_warn@
289datadir = @datadir@
290datarootdir = @datarootdir@
291docdir = @docdir@
292dvidir = @dvidir@
293exec_prefix = @exec_prefix@
294host_alias = @host_alias@
295htmldir = @htmldir@
296includedir = @includedir@
297infodir = @infodir@
298install_sh = @install_sh@
299libdir = @libdir@
300libexecdir = @libexecdir@
301localedir = @localedir@
302localstatedir = @localstatedir@
303mandir = @mandir@
304mkdir_p = @mkdir_p@
305oldincludedir = @oldincludedir@
306pdfdir = @pdfdir@
307prefix = @prefix@
308program_transform_name = @program_transform_name@
309psdir = @psdir@
310sbindir = @sbindir@
311sharedstatedir = @sharedstatedir@
312srcdir = @srcdir@
313sysconfdir = @sysconfdir@
314target_alias = @target_alias@
315top_build_prefix = @top_build_prefix@
316top_builddir = @top_builddir@
317top_srcdir = @top_srcdir@
318warn = @warn@
a0486bac
JM
319zlibdir = @zlibdir@
320zlibinc = @zlibinc@
0e65dfba
NA
321ACLOCAL_AMFLAGS = -I .. -I ../config
322AUTOMAKE_OPTIONS = foreign no-texinfo.tex
a0486bac
JM
323
324# This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
325# -I../zlib, unless we were configured with --with-system-zlib, in which
326# case both are empty.
327ZLIB = @zlibdir@ -lz
328ZLIBINC = @zlibinc@
0e65dfba 329AM_CPPFLAGS = -D_GNU_SOURCE -I$(top_srcdir) -I$(top_srcdir)/../include -I$(top_srcdir)/../bfd -I../bfd
a0486bac 330AM_CFLAGS = -std=gnu99 @ac_libctf_warn_cflags@ @warn@ @c_warn@ @WARN_PEDANTIC@ @WERROR@ $(ZLIBINC)
0e65dfba 331noinst_LIBRARIES = libctf.a
6b22174f
NA
332libctf_a_SOURCES = ctf-archive.c ctf-dump.c ctf-create.c ctf-decl.c \
333 ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c ctf-open.c \
334 ctf-open-bfd.c ctf-subr.c ctf-types.c ctf-util.c \
335 $(am__append_1)
0e65dfba
NA
336all: config.h
337 $(MAKE) $(AM_MAKEFLAGS) all-am
338
339.SUFFIXES:
340.SUFFIXES: .c .o .obj
341am--refresh: Makefile
342 @:
343$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
344 @for dep in $?; do \
345 case '$(am__configure_deps)' in \
346 *$$dep*) \
347 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
348 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
349 && exit 0; \
350 exit 1;; \
351 esac; \
352 done; \
353 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
354 $(am__cd) $(top_srcdir) && \
355 $(AUTOMAKE) --foreign Makefile
356Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
357 @case '$?' in \
358 *config.status*) \
359 echo ' $(SHELL) ./config.status'; \
360 $(SHELL) ./config.status;; \
361 *) \
362 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
363 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
364 esac;
365
366$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
367 $(SHELL) ./config.status --recheck
368
369$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
370 $(am__cd) $(srcdir) && $(AUTOCONF)
371$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
372 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
373$(am__aclocal_m4_deps):
374
375config.h: stamp-h1
376 @test -f $@ || rm -f stamp-h1
377 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
378
379stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
380 @rm -f stamp-h1
381 cd $(top_builddir) && $(SHELL) ./config.status config.h
382$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
383 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
384 rm -f stamp-h1
385 touch $@
386
387distclean-hdr:
388 -rm -f config.h stamp-h1
389
390clean-noinstLIBRARIES:
391 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
392
393libctf.a: $(libctf_a_OBJECTS) $(libctf_a_DEPENDENCIES) $(EXTRA_libctf_a_DEPENDENCIES)
394 $(AM_V_at)-rm -f libctf.a
395 $(AM_V_AR)$(libctf_a_AR) libctf.a $(libctf_a_OBJECTS) $(libctf_a_LIBADD)
396 $(AM_V_at)$(RANLIB) libctf.a
397
398mostlyclean-compile:
399 -rm -f *.$(OBJEXT)
400
401distclean-compile:
402 -rm -f *.tab.c
403
404@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-archive.Po@am__quote@
405@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-create.Po@am__quote@
406@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-decl.Po@am__quote@
407@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-dump.Po@am__quote@
408@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-error.Po@am__quote@
409@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-hash.Po@am__quote@
410@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-labels.Po@am__quote@
411@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-lookup.Po@am__quote@
412@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open-bfd.Po@am__quote@
413@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open.Po@am__quote@
6b22174f 414@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-qsort_r.Po@am__quote@
0e65dfba
NA
415@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-subr.Po@am__quote@
416@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-types.Po@am__quote@
417@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-util.Po@am__quote@
418
419.c.o:
420@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
421@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
422@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
423@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
425
426.c.obj:
427@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
428@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
429@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
430@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
432
433ID: $(am__tagged_files)
434 $(am__define_uniq_tagged_files); mkid -fID $$unique
435tags: tags-am
436TAGS: tags
437
438tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
439 set x; \
440 here=`pwd`; \
441 $(am__define_uniq_tagged_files); \
442 shift; \
443 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
444 test -n "$$unique" || unique=$$empty_fix; \
445 if test $$# -gt 0; then \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 "$$@" $$unique; \
448 else \
449 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450 $$unique; \
451 fi; \
452 fi
453ctags: ctags-am
454
455CTAGS: ctags
456ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457 $(am__define_uniq_tagged_files); \
458 test -z "$(CTAGS_ARGS)$$unique" \
459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460 $$unique
461
462GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
464 && $(am__cd) $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) "$$here"
466cscope: cscope.files
467 test ! -s cscope.files \
468 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
469clean-cscope:
470 -rm -f cscope.files
471cscope.files: clean-cscope cscopelist
472cscopelist: cscopelist-am
473
474cscopelist-am: $(am__tagged_files)
475 list='$(am__tagged_files)'; \
476 case "$(srcdir)" in \
477 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
478 *) sdir=$(subdir)/$(srcdir) ;; \
479 esac; \
480 for i in $$list; do \
481 if test -f "$$i"; then \
482 echo "$(subdir)/$$i"; \
483 else \
484 echo "$$sdir/$$i"; \
485 fi; \
486 done >> $(top_builddir)/cscope.files
487
488distclean-tags:
489 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
490 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
491
492distdir: $(DISTFILES)
493 $(am__remove_distdir)
494 test -d "$(distdir)" || mkdir "$(distdir)"
495 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
496 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
497 list='$(DISTFILES)'; \
498 dist_files=`for file in $$list; do echo $$file; done | \
499 sed -e "s|^$$srcdirstrip/||;t" \
500 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
501 case $$dist_files in \
502 */*) $(MKDIR_P) `echo "$$dist_files" | \
503 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
504 sort -u` ;; \
505 esac; \
506 for file in $$dist_files; do \
507 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
508 if test -d $$d/$$file; then \
509 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
510 if test -d "$(distdir)/$$file"; then \
511 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
512 fi; \
513 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
514 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516 fi; \
517 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
518 else \
519 test -f "$(distdir)/$$file" \
520 || cp -p $$d/$$file "$(distdir)/$$file" \
521 || exit 1; \
522 fi; \
523 done
524 -test -n "$(am__skip_mode_fix)" \
525 || find "$(distdir)" -type d ! -perm -755 \
526 -exec chmod u+rwx,go+rx {} \; -o \
527 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
528 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
529 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
530 || chmod -R a+r "$(distdir)"
531dist-gzip: distdir
532 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
533 $(am__post_remove_distdir)
534
535dist-bzip2: distdir
536 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
537 $(am__post_remove_distdir)
538
539dist-lzip: distdir
540 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
541 $(am__post_remove_distdir)
542
543dist-xz: distdir
544 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
545 $(am__post_remove_distdir)
546
547dist-tarZ: distdir
548 @echo WARNING: "Support for distribution archives compressed with" \
549 "legacy program 'compress' is deprecated." >&2
550 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
551 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
552 $(am__post_remove_distdir)
553
554dist-shar: distdir
555 @echo WARNING: "Support for shar distribution archives is" \
556 "deprecated." >&2
557 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
559 $(am__post_remove_distdir)
560
561dist-zip: distdir
562 -rm -f $(distdir).zip
563 zip -rq $(distdir).zip $(distdir)
564 $(am__post_remove_distdir)
565
566dist dist-all:
567 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
568 $(am__post_remove_distdir)
569
570# This target untars the dist file and tries a VPATH configuration. Then
571# it guarantees that the distribution is self-contained by making another
572# tarfile.
573distcheck: dist
574 case '$(DIST_ARCHIVES)' in \
575 *.tar.gz*) \
576 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
577 *.tar.bz2*) \
578 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
579 *.tar.lz*) \
580 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
581 *.tar.xz*) \
582 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
583 *.tar.Z*) \
584 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
585 *.shar.gz*) \
586 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
587 *.zip*) \
588 unzip $(distdir).zip ;;\
589 esac
590 chmod -R a-w $(distdir)
591 chmod u+w $(distdir)
592 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
593 chmod a-w $(distdir)
594 test -d $(distdir)/_build || exit 0; \
595 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
596 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
597 && am__cwd=`pwd` \
598 && $(am__cd) $(distdir)/_build/sub \
599 && ../../configure \
600 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
601 $(DISTCHECK_CONFIGURE_FLAGS) \
602 --srcdir=../.. --prefix="$$dc_install_base" \
603 && $(MAKE) $(AM_MAKEFLAGS) \
604 && $(MAKE) $(AM_MAKEFLAGS) dvi \
605 && $(MAKE) $(AM_MAKEFLAGS) check \
606 && $(MAKE) $(AM_MAKEFLAGS) install \
607 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
608 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
609 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
610 distuninstallcheck \
611 && chmod -R a-w "$$dc_install_base" \
612 && ({ \
613 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
614 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
615 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
616 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
617 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
618 } || { rm -rf "$$dc_destdir"; exit 1; }) \
619 && rm -rf "$$dc_destdir" \
620 && $(MAKE) $(AM_MAKEFLAGS) dist \
621 && rm -rf $(DIST_ARCHIVES) \
622 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
623 && cd "$$am__cwd" \
624 || exit 1
625 $(am__post_remove_distdir)
626 @(echo "$(distdir) archives ready for distribution: "; \
627 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
628 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
629distuninstallcheck:
630 @test -n '$(distuninstallcheck_dir)' || { \
631 echo 'ERROR: trying to run $@ with an empty' \
632 '$$(distuninstallcheck_dir)' >&2; \
633 exit 1; \
634 }; \
635 $(am__cd) '$(distuninstallcheck_dir)' || { \
636 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
637 exit 1; \
638 }; \
639 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
640 || { echo "ERROR: files left after uninstall:" ; \
641 if test -n "$(DESTDIR)"; then \
642 echo " (check DESTDIR support)"; \
643 fi ; \
644 $(distuninstallcheck_listfiles) ; \
645 exit 1; } >&2
646distcleancheck: distclean
647 @if test '$(srcdir)' = . ; then \
648 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
649 exit 1 ; \
650 fi
651 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
652 || { echo "ERROR: files left in build directory after distclean:" ; \
653 $(distcleancheck_listfiles) ; \
654 exit 1; } >&2
655check-am: all-am
656check: check-am
657all-am: Makefile $(LIBRARIES) config.h
658installdirs:
659install: install-am
660install-exec: install-exec-am
661install-data: install-data-am
662uninstall: uninstall-am
663
664install-am: all-am
665 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
666
667installcheck: installcheck-am
668install-strip:
669 if test -z '$(STRIP)'; then \
670 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
671 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
672 install; \
673 else \
674 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
677 fi
678mostlyclean-generic:
679
680clean-generic:
681
682distclean-generic:
683 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
684 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
685
686maintainer-clean-generic:
687 @echo "This command is intended for maintainers to use"
688 @echo "it deletes files that may require special tools to rebuild."
689clean: clean-am
690
691clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
692
693distclean: distclean-am
694 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
6b22174f 695 -rm -rf ./$(DEPDIR)
0e65dfba
NA
696 -rm -f Makefile
697distclean-am: clean-am distclean-compile distclean-generic \
698 distclean-hdr distclean-tags
699
700dvi: dvi-am
701
702dvi-am:
703
704html: html-am
705
706html-am:
707
708info: info-am
709
710info-am:
711
712install-data-am:
713
714install-dvi: install-dvi-am
715
716install-dvi-am:
717
718install-exec-am:
719
720install-html: install-html-am
721
722install-html-am:
723
724install-info: install-info-am
725
726install-info-am:
727
728install-man:
729
730install-pdf: install-pdf-am
731
732install-pdf-am:
733
734install-ps: install-ps-am
735
736install-ps-am:
737
738installcheck-am:
739
740maintainer-clean: maintainer-clean-am
741 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
742 -rm -rf $(top_srcdir)/autom4te.cache
6b22174f 743 -rm -rf ./$(DEPDIR)
0e65dfba
NA
744 -rm -f Makefile
745maintainer-clean-am: distclean-am maintainer-clean-generic
746
747mostlyclean: mostlyclean-am
748
749mostlyclean-am: mostlyclean-compile mostlyclean-generic
750
751pdf: pdf-am
752
753pdf-am:
754
755ps: ps-am
756
757ps-am:
758
759uninstall-am:
760
761.MAKE: all install-am install-strip
762
763.PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
764 clean-cscope clean-generic clean-noinstLIBRARIES cscope \
765 cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
766 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
767 distcheck distclean distclean-compile distclean-generic \
768 distclean-hdr distclean-tags distcleancheck distdir \
769 distuninstallcheck dvi dvi-am html html-am info info-am \
770 install install-am install-data install-data-am install-dvi \
771 install-dvi-am install-exec install-exec-am install-html \
772 install-html-am install-info install-info-am install-man \
773 install-pdf install-pdf-am install-ps install-ps-am \
774 install-strip installcheck installcheck-am installdirs \
775 maintainer-clean maintainer-clean-generic mostlyclean \
776 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
777 tags tags-am uninstall uninstall-am
778
779.PRECIOUS: Makefile
780
781
782# Tell versions [3.59,3.63) of GNU make to not export all variables.
783# Otherwise a system limit (for SysV at least) may be exceeded.
784.NOEXPORT:
This page took 0.053369 seconds and 4 git commands to generate.